<!--Verification Consent-->
<mat-card class="mat-elevation-z0" *ngIf="!isPsychiatricAttachment">
  <div class="mat-elevation-z0" fxLayout="column">
    <div class="mat-elevation-z4 consentBackGround">
      <form class="section" [formGroup]="psychiatricGroup" autocomplete="off">
        <div class="content-main regular-mat-form-field">

          <div class="content-sub">
            <mat-label class="redLabelBoldLargeText content-sub-label-history consent-margin-psychiatric">Verification
            </mat-label>
          </div>

          <div class="content-sub line-height-20 consent-margin-psychiatric" style="align-items: baseline !important;">
            <mat-checkbox formControlName="verificationConsent" (change)="onIsConsentCheckChange($event)">
            </mat-checkbox>
            <mat-label class="redLabelText consent-margin-psychiatric">
              I verify that my agency has on record the “Comprehensive Psychiatric Evaluation” completed and signed,
              within the last 180 days, by a New York State licensed clinician. The NYS licensed clinician must be
              included on the HRA list of professionals able to complete a comprehensive psychiatric evaluation. I
              understand that HRA reserves the right to request this document and that I and/or my organization may be
              held liable for incorrect or fraudulent information.
            </mat-label>
          </div>
          <br />

          <div class="content-sub">
            <mat-label class="content-sub-col1" style="padding-right: 2% !important;">Verified By :</mat-label>
            <mat-label class="content-sub-col2" style="padding-right: 4% !important;">{{ verifiedByName }}</mat-label>
            <mat-label class="content-sub-col3" style="padding-right: 1% !important;">Verified Date :</mat-label>
            <mat-label class="content-sub-col4" style="padding-right: 4% !important;">{{ verifiedDate }}</mat-label>
          </div>

          <div class="content-sub">
            <mat-label class="content-sub-col1">NYS Licensed Clinician who performed the
              Evaluation :</mat-label>
            <mat-form-field appearance="outline" class="content-sub-col2 mat-form-field-mr-20">
              <mat-select formControlName="nysLicensedClinicianTitleType" placeholder="Select"
                (selectionChange)="onClinicianTitleTypeChange()" matTooltip="{{ getToolTipData() }}" matTooltipPosition="above">
                <mat-option *ngFor="let clinicianTitleType of clinicianTitleTypes"
                  [value]="clinicianTitleType.refGroupDetailID">
                  {{ clinicianTitleType.refGroupDetailDescription }}
                </mat-option>
              </mat-select>
            </mat-form-field>

            <mat-label class="content-sub-col3">Name of Licensed Clinician :</mat-label>
            <mat-form-field appearance="outline" class="content-sub-col4 mat-form-field-mr-20">
              <input matInput name="clinicianName" formControlName="clinicianName" required maxlength="100">
            </mat-form-field>
          </div>

          <div class="content-sub">
            <mat-label class="content-sub-col1">Clinician License No :</mat-label>
            <mat-form-field appearance="outline" class="content-sub-col2 mat-form-field-mr-20">
              <input matInput name="licenseNo" formControlName="licenseNo" required maxlength="50">
            </mat-form-field>

            <mat-label class="content-sub-col3">Date of Psychiatric Evaluation :
            </mat-label>
            <mat-form-field appearance="outline" class="content-sub-col4 mat-form-field-mr-20">
              <input matInput [matDatepicker]="picker" formControlName="evaluationDate" placeholder="MM/DD/YYYY"
                (change)="validateDate()" [min]="minDate" [max]="maxDate" maxlength="10" dateOnly required>
              <mat-icon matSuffix (click)="picker.open()" style="cursor:pointer; color:#777;">today
              </mat-icon>
              <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>
          </div>

          <div class="content-sub" *ngIf="isCollaboratingFieldsVisible">
            <mat-label class="content-sub-col1">Collaborating NYS Licensed Clinician :</mat-label>
            <mat-form-field appearance="outline" class="content-sub-col2 mat-form-field-mr-20">
              <mat-select formControlName="collaboratingClinicianTitleType" placeholder="Select"
                matTooltip="{{ getCollaboratingToolTipData() }}" matTooltipPosition="above">
                <mat-option *ngFor="let collaboratingTitleType of collaboratingClinicianTitleTypes"
                  [value]="collaboratingTitleType.refGroupDetailID">
                  {{ collaboratingTitleType.refGroupDetailDescription }}
                </mat-option>
              </mat-select>
            </mat-form-field>

            <mat-label class="content-sub-col3">Collaborating Clinician Name :</mat-label>
            <mat-form-field appearance="outline" class="content-sub-col4 mat-form-field-mr-20">
              <input matInput name="collaboratingClinicianName" formControlName="collaboratingClinicianName" required maxlength="100">
            </mat-form-field>
          </div>

          <div class="content-sub" *ngIf="isCollaboratingFieldsVisible">
            <mat-label class="content-sub-col1">Collaborating Clinician License No :</mat-label>
            <mat-form-field appearance="outline" class="content-sub-col2 mat-form-field-mr-20">
              <input matInput name="collaboratingClinicianLicenseNo" formControlName="collaboratingClinicianLicenseNo" required maxlength="100">
            </mat-form-field>

            <mat-label class="content-sub-col3 mat-form-field-mr-20"></mat-label>
            <mat-label class="content-sub-col4 mat-form-field-mr-20"></mat-label>
          </div>

        </div>

      </form>
    </div>
  </div>
</mat-card>

<!--Data Entered Section-->
<div style="margin-top: 10px;" *ngIf="!isPsychiatricAttachment">
  <mat-card class="mat-elevation-z0">
    <div class="mat-elevation-z0" fxLayout="column">
      <div class="mat-elevation-z4">
        <form [formGroup]="psychiatricGroup" autocomplete="off">

          <div class="content-main">

            <div class="content-sub">
              <mat-label class="labelBoldText content-sub-label-history consent-margin-psychiatric">Enter Comprehensive
                Psychiatric
                Evaluation</mat-label>
            </div>
            <div class="content-sub">
              <mat-label class="redLabelText content-sub-label-history consent-margin-psychiatric">Reminder: System will
                time out after 15
                minutes of inactivity. If you are directly typing a Psychosocial
                Evaluation in this field please remember to save, by clicking on the Save button, within the 15
                minute security allowance.</mat-label>
            </div>
            <div class="content-sub">
              <mat-form-field appearance="outline" class="content-sub-field consent-margin-psychiatric">
                <textarea matTextareaAutosize matAutosizeMinRows="10" matAutosizeMaxRows="15" matInput
                  #comprehensiveEval name="comprehensiveEval" formControlName="comprehensiveEval" required
                  maxlength="30000" (input)="autoSaveComprehensiveEvaluation($event.target.value, 'Type')"
                  (change)="autoSaveComprehensiveEvaluation($event.target.value, 'Paste')"></textarea>
                <mat-hint class="content-sub-label-hint1">(Maximum entry of 30000 characters;
                  {{30000 - comprehensiveEval.value?.length || 0}} characters remaining)</mat-hint>
              </mat-form-field>
            </div>
          </div>

        </form>
      </div>
    </div>
  </mat-card>
</div>
<!--Document Attached Section-->
<div style="margin-top: 10px;" *ngIf="isPsychiatricAttachment">
  <mat-card class="mat-elevation-z0">
    <div class="mat-elevation-z0">
      <div class="mat-elevation-z4">
        <form>
          <div class="content-main">
            <div>
              <app-document [preSelectedDocType]="52" (uploadFinished)="onUploadFinish($event)"
                [docTitle]="'Attach Comprehensive Psychiatric Evaluation'">
              </app-document>
            </div>
          </div>
        </form>
      </div>
    </div>
  </mat-card>
</div>
<!--Buttons Section-->
<div class="content-main margin-top-buttons">
  <div class="content-sub">
    <div class="content-sub-button-parent-left" *ngIf="!isPsychiatricAttachment">
      <button type="button" mat-raised-button color="primary" (click)="savePsychiatricEvaluation()">Save</button>

      &nbsp;&nbsp;
      <span>
        <button type="button" mat-raised-button color="primary" (click)="openReport()">Psychiatric Summary</button>
      </span>
    </div>

    <div class="content-sub-button-parent-right">
      <button type="button" mat-raised-button color="primary" (click)="previousTab()">Previous</button>
      &nbsp;&nbsp;<button type="button" mat-raised-button color="primary" (click)="nextTab()">Next</button>
    </div>
  </div>
</div>